Returns a dynamically created closure for the method

- « ReflectionMethod::export

- ReflectionMethod::getDeclaringClass »

- PHP Manual
- ReflectionMethod
- Returns a dynamically created closure for the method

# ReflectionMethod::getClosure

(PHP 5 >= 5.4.0, PHP 7, PHP 8)

ReflectionMethod::getClosure — Returns a dynamically created closure for the method

### Description

public ReflectionMethod::getClosure(?object `$object` = `null`): Closure

Create a closure which will call the method.

### Parameters

`object`

  Forbidden for static methods, required for other methods.

### Return Values

Returns the newly created Closure.

### Errors/Exceptions

Throws a ValueError if `object` is `null` but the method is non-static.

Throws a ReflectionException if `object` is not an instance of the class this method was declared in.

### Changelog

Version | Description
--- | ---
8.0.0 | `object` is now nullable.

### See Also

- First class callable syntax